ndiswrapper problem with bcm43xx

Matthew Nicholcon sjoeboo at sjoeboo.com
Tue Mar 21 16:55:24 UTC 2006


this is because the bcm43xx driver is now in the kernel. however, the firmware needed to use your card is not included (ie, the not availible errors, those are looking for your firmware files). you can do one of two things: you can download fwcutter and compile it and use it to extract your firmware from your windows driver .sys file, and place them resulting files in /lib/firmware/linux-(your version here)/ which, when combined with installing/compiling softmac (may be included now, i don't know) should let you work.

otherwise, you can blacklist the bcm43xx module to keep it from being loaded at all, and install and use ndiswrapper just like before. you jsut cannot use both. if you use ndiswrapper, make sure you rmmod bcm43xx, and blacklist it to prevent it from being loaded at boot. if you decided to go the other way, make sure you don't use ndiswrapper.

there are some forum/wiki entries on this topic, but i'm in class and am short on time. hopefully this at least points you in teh right direction.

On Tue, 21 Mar 2006 13:11:40 -0300, Roger Freitas Lovato <rogerlovato at gmail.com> wrote:
> Hi,
> 
> I have a notebook Pavilion ZV5000 with this wirelles interface:
> 
> 0000:02:02.0 Network controller: Broadcom Corporation BCM4306 802.11b/g
> Wireless LAN Controller (rev 03)
> 
> When I try to up my wireless interface, these messages appear in dmesg
> command:
> 
> [4295348.307000] bcm43xx: Error: Microcode "bcm43xx_microcode5.fw" not
> available or load failed.
> [4295348.336000] bcm43xx: Error: Microcode "bcm43xx_microcode5.fw" not
> available or load failed.
> [4295376.436000] bcm43xx: Error: Microcode "bcm43xx_microcode5.fw" not
> available or load failed.
> [4295376.467000] bcm43xx: Error: Microcode "bcm43xx_microcode5.fw" not
> available or load failed.
> [4295398.705000] bcm43xx: Error: Microcode "bcm43xx_microcode5.fw" not
> available or load failed.
> [4295398.719000] bcm43xx: Error: Microcode "bcm43xx_microcode5.fw" not
> available or load failed.
> 4295498.879000] ndiswrapper version 1.8 loaded (preempt=yes,smp=no)
> [4295498.880000] ndiswrapper (wrapper_init:173): loadndiswrapper failed
> (1792); check system log for messages from 'loadndisdriver'
> [4295498.881000] ndiswrapper (wrapper_init:180): ndiswrapper:
> initialization failed
> [4295504.830000] ndiswrapper version 1.8 loaded (preempt=yes,smp=no)
> [4295504.832000] ndiswrapper (wrapper_init:173): loadndiswrapper failed
> (1792); check system log for messages from 'loadndisdriver'
> [4295504.832000] ndiswrapper (wrapper_init:180): ndiswrapper:
> initialization failed
> [4295556.399000] ndiswrapper version 1.8 loaded (preempt=yes,smp=no)
> 
> With breexy version it's working.
> 
> Thanks
> 
> Roger
> 
> --
> ubuntu-users mailing list
> ubuntu-users at lists.ubuntu.com
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
-- 
Matthew Nicholson
sjoeboo at sjoeboo.com
sjoeboo.com





More information about the ubuntu-users mailing list